// -*- coding: utf-8 -*-
// ↑Emacsで文字コードを強制するときのタグです。

// 基本的にセミコロンは不要です。

package javareading.multicast

// objectで定義するとシングルトンオブジェクトになります。
object MCConfig {
  // 通常の変数はvar、final相当の変数はvalで定義します。
  val MULTICAST_ADDR6 = "ff35:40:fdb4:353a:c83f:10::10"
  val MULTICAST_ADDR4 = "239.255.10.10"
  val MULTICAST_PORT = 10101
  val SEND_NAME = "Scala"
  val SEND_INTERVAL = 300 // ミリ秒
  val RECV_BUF_SIZE = 8 * 1024 + 1
  val DISP_INTERVAL = 1000 // ミリ秒
  val DISP_EXPIRES = 10000 // ミリ秒
}
