package mywebserver;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URI;
import java.net.URISyntaxException;

/**
 * HTTPNGXgwb_킷NXB
 */
public class Request {

    /**
     * \bhB
     */
    private final String method;

    /**
     * NGXgURIB
     */
    private final URI requestUri;

    /**
     * NGXgIuWFNg\z܂B<br>
     * ̓Xg[ǂݍŃNGXgwb_͂܂B<br>
     * ANGXgC܂B
     * 
     * @param is
     *            ̓Xg[B
     * @throws IOException
     *             NGXgwb_̓ǂݍ݂ŃG[B
     * @throws BadRequestException
     *             NGXgwb_̉͂ɎsB
     */
    public Request(InputStream is) throws IOException, BadRequestException {
        // InputStream  Reader ɕϊ
        // NGXgwb_̕R[hUS-ASCII
        final BufferedReader reader = new BufferedReader(new InputStreamReader(
                is, "US-ASCII"));
        final String line = reader.readLine();
        if (line == null) {
            // ݂͂Ȃ
            throw new BadRequestException();
        }
        String[] items = line.split(" ");
        if (items.length < 2) {
            // NGXgC̍\G[
            throw new BadRequestException();
        }
        method = items[0];
        try {
            requestUri = new URI(items[1]);
        } catch (URISyntaxException e) {
            // NGXgURI̍\G[
            throw new BadRequestException(e);
        }
    }

    /**
     * \bh擾܂B
     * 
     * @return \bhB
     */
    public String getMethod() {
        return method;
    }

    /**
     * NGXgURI擾܂B
     * 
     * @return NGXgURIB
     */
    public URI getRequestUri() {
        return requestUri;
    }

    /**
     * NGXgwb_̉͂ɎsƂ킷ONXB
     */
    public static class BadRequestException extends Exception {

        private static final long serialVersionUID = 1L;

        public BadRequestException() {
        }

        public BadRequestException(Throwable cause) {
            super(cause);
        }
    }

}
